Subject: Re: [PATCH] net: qrtr: fix handling of confirm_rx field

From: Simon Horman <[email-masked]>
Date: Mon, 23 Mar 2026 15:32:54 +0000

On Mon, Mar 23, 2026 at 07:51:08AM +0100, Alexander Wilhelm wrote:
> On Sat, Mar 21, 2026 at 10:19:26AM +0000, Simon Horman wrote:
> > On Fri, Mar 20, 2026 at 02:28:52PM +0100, Alexander Wilhelm wrote:
> > > Convert confirm_rx to little endian when enqueueing by using cpu_to_le32(),
> > > as big endian systems otherwise interpret the value incorrectly.
> > > 
> > > When receiving, apply le32_to_cpu(). !! ensures the result becomes 0 or 1
> > > in native CPU endianness, so this conversion is not strictly required, but
> > > it is kept for consistency, clarity, and future safety.
> > 
> > Hi Alexander,
> > 
> > It seems to me that the conversion is required if the code
> > runs on a Big Endian host. What is your thinking on this?
> 
> Hi Simon,
> 
> Yes, that is correct. The patch fixes the control flow on Big Endian platforms
> only. It has no impact on Little Endian systems.

Thanks Alexander,

Please send a v2 with the commit message updated accordingly.

As this is a fix, please base the patch on the net tree.
And target that tree like this:

Subject: [PATCH v2 net] net: qrtr: fix handling of confirm_rx field

Or perhaps, making the subject slightly more descriptive:

Subject: [PATCH v2 net] net: qrtr: fix endian handling of confirm_rx field

-- 
pw-bot: changes-requested